Subject: Re: FVWM: FVWM1/FVWM2 border rendering discrepancies?

From: "Rouben Rostamian" <[email-masked]>
Date: Fri, 13 Jun 2003 07:23:01 -0400

Phil Stracchino wrote:

> On Fri, Jun 13, 2003 at 01:14:32AM -0400, Phil Stracchino wrote:
> > Um.....    What's the minimum version required for this feature?  I'm
> > using fvwm-2.4.16, and it doesn't appear to work.  From your mention of
> > FvwmTheme, I'm guessing I have to be running 2.5.something to use this.
> > Am I right?
> 
> Never mind ....  due to a stupid error on my part, FvwmTheme wasn't
> loading.  And with the aid of Colorsets, I now have my window borders
> looking pretty much how I want them.  And so long as I have FvwmTheme
> loaded anyway, maybe I'll look into fropping a nice marble or granite
> bitmap into the titlebars ...   :)

To save yourself headaches from another round of syntax conversion,
you'd be better off upgrading to 2.5.*.  The fvwm man page of the
new series says:

       In the 2.4.x versions a  special  module  FvwmTheme
       was  introduced to manage colorsets.  The FvwmTheme
       functionality was moved to the core fvwm,  so  this
       module  became  obsolete.  Some additional informa
       tion about colorsets may be found in the  man  page
       of FvwmTheme(1), although it is obsolete now.

       Old syntax:

         DestroyModuleConfig FvwmTheme: *
         *FvwmTheme: Colorset 0 fg black, bg rgb:b4/aa/94
         *FvwmTheme: Colorset 1 fg black, bg rgb:a1/b2/c8

       corresponds to the new syntax:

         CleanupColorsets
         Colorset 0 fg black, bg rgb:b4/aa/94
         Colorset 1 fg black, bg rgb:a1/b2/c8

-- 
Rouben Rostamian <[email-masked]>
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].